Addresses

Create an address

POST
/v1/addresses

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/addresses" \  -H "Content-Type: application/json" \  -d '{    "street": "string",    "number": "string",    "complement": "string",    "district": "string",    "city": "string",    "state": "string",    "country": "string",    "postcode": "id_0a1b2c3d4e5f60718293",    "latitude": "string",    "longitude": "string",    "metadata": {},    "primary": true,    "customerId": "cus_0a1b2c3d4e5f60718293"  }'
{
  "id": "addr_0a1b2c3d4e5f60718293",
  "ownerType": "vendor",
  "ownerId": "string",
  "street": "string",
  "number": "string",
  "complement": "string",
  "district": "string",
  "city": "string",
  "state": "string",
  "country": "string",
  "postcode": "string",
  "latitude": "string",
  "longitude": "string",
  "primary": true,
  "line": "string",
  "line1": "string",
  "line2": "string",
  "line3": "string",
  "metadata": {},
  "updatedAt": "string",
  "createdAt": "string",
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  },
  "_links": {}
}
{
  "error": {
    "status": "Bad Request",
    "statusCode": 400,
    "category": "validation",
    "code": "invalidParameters",
    "message": "Validation errors occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Forbidden",
    "statusCode": 403,
    "category": "authorization",
    "code": "forbidden",
    "message": "You do not have permission to perform this action.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "notFound",
    "message": "An unexpected error occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}